<?php
/*
* Plugin Name:       Elementary POS
* Plugin URI:        https://elementarypos.com/elementary-pos-wordpress-plugin/
* Description:       Integrate Elementary POS APP with your WordPress site.
* Version:           1.0
* Requires at least: 5.2
* Requires PHP:      7.0
* Author URI:        https://elementarypos.com
* License:           GPL v2 or later
*/


if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

include plugin_dir_path( __FILE__ ) . '/includes/settings.php';
include plugin_dir_path( __FILE__ ) . '/includes/api.php';
include plugin_dir_path( __FILE__ ) . '/includes/shortcode.php';


function elementarypos_init() {
    //css
    wp_register_style('elementarypos', plugins_url('public/css/elementarypos.css',__FILE__ ));
    wp_enqueue_style('elementarypos');

    //short code
    add_shortcode( 'elementarypos_items', 'elementarypos_item_shortcode' );
}

add_action( 'init', 'elementarypos_init' );
