<?php


if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

function elementarypos_get_items($category, $color)
{
    $url = "https://api.elementarypos.com/v1/item/get-sales-items";

    $jsonRequest = Array (
        "filterCategoryName" => $category!=''?$category:null,
        "filterColor" => $color!=''?$color:null,
    );

    $request = json_encode($jsonRequest);

    $args = array(
        'body' => $request,
        'headers' => array(
            'X-Api-Key' => get_option( 'elementary_pos_api_key' ),
            'X-Source' => 'WP',
            'Content-Type' => 'application/json',
        )
    );

    $response = wp_remote_post( $url, $args );
    $http_code = wp_remote_retrieve_response_code( $response );

    if($http_code == 200) {
        return wp_remote_retrieve_body($response);
    } else {
        return null;
    }

}